<?php
include_once ("./static_data/code.php");

$menu_code = '121';
require_once (APPPATH.'views/skin/admin/_content_comm.php');


$arr_reason_type = array();
foreach ($reason_type_list as $val) {
	$arr_reason_type[$val['reason_type']] = $val['cnt'];
}

$blind_name     = $result['blind_name'];
$blind_id       = $result['blind_id'];
$blind_comment  = $result['blind_comment'];
$write_date     = $result['write_date'];


?>



<div class="common_table clearfix">
	<a href="/admin/setting/blind_view/1?idx=<?=$idx?>"><span style="font-weight:bold">Total:</span> <?=number_format($total_count);?></a>

    <?
foreach ($def_arr_spam_reason as $key=>$val) {

	$count = 0;
	if(isset($arr_reason_type[$key])==true)	$count = $arr_reason_type[$key];

?>
	<a href="/admin/setting/blind_view/1?idx=<?=$idx?>&search_reason_type=<?=$key?>"><span style="margin-left:10px"><b><?=$val?>:</b> <?=number_format($count);?></span></a>
<?
}
?>
</div>



<div class="common_table">
	<table>
    <tr>
        <th style="text-align: left">
           <?=$blind_name?>(<?=$blind_id?>) <?=$write_date?>
        </th>
    </tr>
    <tr>
        <td style="text-align:left;vertical-align: top" colspan="2"><?=$blind_comment?></td>
    </tr>
</table>




<div class="common_table news">
<h2>신고리스트</h2>


<?
	if(count($spam_list)==0) {
?>
		<table><tr><td>신고내역이 없습니다.</td></tr></table>
<?
	} else {

		foreach($spam_list as $val) {
            $idx            = $val['idx'];
			$write_name 	= $val['write_name'];
			$write_id 		= $val['write_id'];
			$reason_type    = $val['reason_type'];
			$reason_content = $val['reason_content'];
			if($reason_type > 0) {
				$reason_type_txt = $def_arr_spam_reason[$reason_type];
			}

?>

                <table>
				<tr>
					<th>신고사유</th>
					<td style="text-align: left">
						<? if($reason_type > 0) { ?>
							<?=$reason_type_txt?>
						<? } ?>
					</td>
				</tr>
                <tr>
					<th>신고자</th>
					<td style="text-align: left">
                        <?=$write_name?> (<?=$write_id?>)
					</td>
				</tr>
					<tr>
					<th>신고내용</th>
					<td style="text-align: left"><?=$reason_content?></td>
				</tr>
                </table>
                </br>


<?
		}
	}
?>
</div>

<div class="write_btn tc">
	<a href="/admin/setting/blind_list/1/<?=$page?>?search_type=<?=$search_type?>&search_keyword=<?=$search_keyword?>&search_status=<?=$search_status?>&search_spam_reason=<?=$search_spam_reason?>&search_content_type=<?=$search_content_type?>">목록으로</a>
</div>



<script type="text/javascript">
function check_search(){
    if($("#search_type").val()=="" && $("#search_keyword").val()!=""){
        alert("검색할 항목을 선택해주세요.");
        return false;
    }
    $("#input_form").submit();
}

// 삭제
function news_comment_del_proc(idx) {
	if(confirm("댓글이 삭제됩니다. 삭제하시겠습니까?") == true) {    //확인
		$("#idx").val(idx);
		$("#input_form").attr("action", "/admin/news/news_comment_del_proc");
		$("#input_form").submit();
	} else {   //취소
		return;
	}
}


</script>